Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6531 - linking with python, can't find libthreads
Summary: linking with python, can't find libthreads
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: python
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-30 09:44 UTC by corrin.lakeland
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-13 21:50:42 UTC


Attachments (Terms of Use)

Description corrin.lakeland 1999-10-30 09:44:59 UTC
The python RPM that comes with 6.1 (Python 1.5.2) has been
compiled with threads enabled but the threads library
(libpthread, linuxthreads) isn't found by the runtime system
(does it still exist?).

This means python cannot be linked into any C program, even
one that doesn't use threads.

I tried compiling python from source and come up with the
same problem until I configured with --without-thread

Comment 1 Michael K. Johnson 1999-11-19 20:26:59 UTC
Try compiling your application with -lpthread

Comment 2 Nalin Dahyabhai 2000-01-13 21:50:59 UTC
I'm assuming that Michael's suggestion has solved your problem, and am therefore
closing this bug.  If this is not the correct solution, please reopen this bug.


Note You need to log in before you can comment on or make changes to this bug.